libkate: kate_style Struct Reference

# kate_style Struct Reference

`#include <kate.h>`

## Data Fields
kate_float | halign
kate_float | valign
kate_color | text_color
kate_color | background_color
kate_color | draw_color
kate_space_metric | font_metric
kate_float | font_width
kate_float | font_height
kate_space_metric | margin_metric
kate_float | left_margin
kate_float | top_margin
kate_float | right_margin
kate_float | bottom_margin
unsigned int | bold:1
unsigned int | italics:1
unsigned int | underline:1
unsigned int | strike:1
unsigned int | justify:1
unsigned int | wrap_mode:2
kate_const char * | font

## Detailed Description

defines a style to display text

## Field Documentation

kate_color kate_style::background_color

background RGBA color of the whole region, regardless of what extent any text has

Referenced by kate_tracker_update().

unsigned int kate_style::bold

display text in bold

kate_float kate_style::bottom_margin

size of bottom margin

Referenced by kate_tracker_update().

kate_color kate_style::draw_color

RGBA color for drawn shapes

Referenced by kate_tracker_update().

kate_const char* kate_style::font

name of the font to use

Referenced by kate_info_clear(), and kate_tracker_morph_styles().

kate_float kate_style::font_height

vertical size of the glyphs

kate_space_metric kate_style::font_metric

whether font size are in pixels, percentage, etc

kate_float kate_style::font_width

horizontal size of the glyphs

kate_float kate_style::halign

horizontal alignment, -1 for left, +1 for right, other values inter/extrapolate

Referenced by kate_tracker_update().

unsigned int kate_style::italics

display text in italics

unsigned int kate_style::justify

display justified text

kate_float kate_style::left_margin

size of left margin

Referenced by kate_tracker_update().

kate_space_metric kate_style::margin_metric

how to interpret margin values

kate_float kate_style::right_margin

size of right margin

Referenced by kate_tracker_update().

unsigned int kate_style::strike

display striked text

kate_color kate_style::text_color

RGBA color of the text

Referenced by kate_tracker_update().

kate_float kate_style::top_margin

size of top margin

Referenced by kate_tracker_update().

unsigned int kate_style::underline

display underlined text

kate_float kate_style::valign

horizontal alignment, -1 for top, +1 for bottom, other values inter/extrapolate

Referenced by kate_tracker_update().

unsigned int kate_style::wrap_mode

how to wrap text if necessary

The documentation for this struct was generated from the following file:

- /home/v/Kate/WORK_TREES/kate-sorceress-backup/v/src/kate/include/kate/kate.h